namespace Application.Abstractions.Chat;

public interface IChatHubClient
{
    Task ReceiveMessage(ChatMessage message);
    Task ReceiveHistory(IReadOnlyList<ChatMessage> messages);
    Task ReceiveSystemMessage(string message);
    Task Connected(string message);
    Task Logout(string message);
    Task Kick();
}